Name:           surfraw
Version:        2.2.8
Release:        1%{?dist}
Summary:        Shell Users Revolutionary Front Rage Against the Web
Group:          Applications/Internet
License:        Public Domain
URL:            http://surfraw.alioth.debian.org/
Source0:        http://surfraw.alioth.debian.org/dist/surfraw-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       screen

# Surfraw searches for a text-mode broser at configuration time, not
# at runtime. This is something probably to be changed upstream. We
# could depend on 'text-www-browser', but then we are not sure that
# this resolves to the same package at build and install time. So, for
# now, we simply pick one.
%global text_browser elinks
BuildRequires:  %{text_browser}
Requires:       %{text_browser}

# For calling the graphical browser, we can rely on xdg-open.
Requires:       xdg-utils


%description
Surfraw provides a fast unix command line interface to a variety of
popular WWW search engines and other artifacts of power. It reclaims
google, altavista, babelfish, dejanews, freshmeat, research index,
slashdot and many others from the false-prophet, pox-infested heathen
lands of html-forms, placing these wonders where they belong, deep in
unix heartland, as god loving extensions to the shell.

Surfraw abstracts the browser away from input. Doing so lets it get on
with what it's good at. Browsing. Interpretation of linguistic forms
is handed back to the shell, which is what it, and human beings are
good at. Combined with netscape-remote or incremental text browsers,
such as links (http://artax.karlin.mff.cuni.cz/~mikulas/links/), w3m
(http://www.w3m.org/), and screen(1) a Surfraw liberateur is capable
of navigating speeds that leave GUI tainted idolaters agape with fear
and wonder.


%prep
%setup -q


%build
%configure --with-elvidir=%{_libexecdir}/surfraw \
           --with-graphical-browser=xdg-open \
           --with-text-browser=%{text_browser} \
           --disable-opensearch
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_sysconfdir}/xdg/surfraw
%config(noreplace) %{_sysconfdir}/xdg/surfraw/*
%{_bindir}/sr
%{_bindir}/surfraw
%{_bindir}/surfraw-update-path
%{_libexecdir}/surfraw
%{_mandir}/man1/*.1*


%changelog
* Thu Jul 21 2011 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.8-1
- Update to 2.2.8.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun May 30 2010 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.7-1
- Update to 2.2.7.

* Tue Dec 29 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.6-1
- Update to 2.2.6.
- Configuration is now in /etc/xdg/surfraw.

* Sun Sep 27 2009 Thomas Moschny <thomas.moschny@gmx.de> - 2.2.5-1
- Update to 2.2.5.
- New upstream, and new upstream URL.
- Elvi are now subcommands to the 'surfraw' command (or its 'sr'
  alias), avoids conflicts with other packages (bz 472623).
- Hard-code text browser to elinks, and graphical browser to xdg-open
  for now.
- Disable opensearch, needs perl(WWW::OpenSearch).
- Include manpages in the filelist.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon May 14 2007 Joe Rozner <livinded@deadbytes.net> 1.0.7-3
- Added BuildArch to build as noarch.
- Removed dependencies for browsers so that users will not need all three.

* Sat May 12 2007 Joe Rozner <livinded@deadbytes.net> 1.0.7-2
- Added dependencies for links, links, w3m, and screen.
- Fixed the license to be the correct one.

* Thu Mar 08 2007 Joe Rozner <livinded@deadbytes.net> 1.0.7-1
- Initial specfile created.
